Delulu documentation
Transcriptions
3 endpoints in the Transcriptions API group.
Generated from the typed server contract. Download the complete OpenAPI 3.1 specification.
transcriptions.list
GET
/v1/transcriptionsParameters
| Name | In | Required | Type |
|---|---|---|---|
limit | query | no | value |
cursor | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
404 | NotFoundError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"page": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"reelId": {
"type": "string"
},
"reelUrl": {
"type": "string"
},
"text": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"language": {
"type": "string"
},
"durationSeconds": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"createdAt": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"reelId",
"reelUrl",
"text",
"language",
"durationSeconds",
"createdAt"
],
"additionalProperties": false
}
},
"continueCursor": {
"type": "string"
},
"isDone": {
"type": "boolean"
}
},
"required": [
"page",
"continueCursor",
"isDone"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}transcriptions.usage
GET
/v1/transcriptions/usageParameters
No path or query parameters.
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
404 | NotFoundError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"used": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"periodEnd": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"isSortedActive": {
"type": "boolean"
},
"isSubscribed": {
"type": "boolean"
},
"paidSoftLimit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"paidHardLimit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"dodoCustomerId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"used",
"limit",
"periodEnd",
"isSortedActive",
"isSubscribed",
"paidSoftLimit",
"paidHardLimit",
"dodoCustomerId"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}transcriptions.checkout
POST
/v1/transcriptions/checkoutParameters
No path or query parameters.
Request body
Required.
application/json
{
"type": "object",
"properties": {
"productId": {
"type": "string"
}
},
"required": [
"productId"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"checkoutUrl": {
"type": "string"
}
},
"required": [
"checkoutUrl"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}